AkashML

Documentation

Introduction
Claude Code
List models (Anthropic shape) GETAnthropic base health probe GETCreate a message (Anthropic shape) POST
Anthropic SDK
List models GET
Create chat completion POSTCreate completion POST
Platform
Parameter controlsPresetsInferences
Models
Settings
API ReferenceModels

List models

GET
/v1/models

Lists the currently available models with pricing and capability metadata.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as Bearer token

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "object": "model",
      "created": 0,
      "owned_by": "string",
      "name": "string",
      "context_length": 0,
      "input_modalities": [
        "string"
      ],
      "output_modalities": [
        "string"
      ],
      "supported_sampling_parameters": [
        "string"
      ],
      "supported_features": [
        "string"
      ],
      "description": "string",
      "max_output_length": 0,
      "quantization": "string",
      "pricing": {
        "input": "string",
        "output": "string",
        "request": "string"
      }
    }
  ]
}

Anthropic SDK

Use the Anthropic-compatible Messages API to call AkashML's open source models from Claude clients.

Create chat completion POST

Creates a model response for the given chat conversation. Supports streaming via SSE when `stream: true`. **Response headers** - `Inference-Id` — Unique ID for this request. Include this when contacting support. **Error codes** | Status | Meaning | |--------|---------| | `402` | Insufficient credits | | `429` | Rate limited | | `504` | No backend available | | `529` | No healthy backends are available for the requested model |